Subject: bug#17971: 24.3.92; Patch to fix el compression on RHEL/CentOS 7

From: Glenn Morris <[email-masked]>
Date: Thu, 10 Jul 2014 14:06:17 -0400

Paul Eggert wrote:

> (HP-UX make is still relevant for the emacs-24 branch, I guess.)

In theory yes; in practice I doubt it, since we seem to have
accidentally broken non-GNU makes so many times, I guess everyone just
uses GNU make anyway (like the person who reported the HP make issue did
before even reporting it).

> This has the problem that 'make' can succeed even if a 'gzip' fails
> (e.g., due to being out of disk space).

We survived this far without checking for that.
Some gzips return non-zero if compression did not reduce the file size,
which should not happen with any of the .el files, but you never know.
So perhaps this is something to save for trunk.